require('./../css/reset.css');
require('./../css/indexHorizontal.less');
// require('./../css/popup.css');
// require('./popupEdit.js');
var Promise = require("bluebird");
let warningImg = require('./../images/warings.png')
let diagImg = require('./../images/yszd.png')
let symptomImg = require('./../images/inquire.png')
let physiExamImg = require('./../images/tgjc.png')
let labAndPacsImg = require('./../images/inspect.png')
let conditTipsImg = require('./../images/tips.png')
let treatImg = require('./../images/zhiliao.png')



const $ = require("jquery");
const { post,config,getUrlArgObject,openNewWin, isIe8 } = require('./promise.js');
const { transConf } = require('./util.js');
const { renderRecommendInfo, renderMultRecommendInfo, renderTreat, renderRecommendConditTips } = require('./indexHorizontalDom.js');
const is8Ie = isIe8() //判断是否为IE8
if(is8Ie) {
  let reg = /undefined/g
  warningImg = warningImg.replace(reg, '')
  diagImg = diagImg.replace(reg, '')
  symptomImg = symptomImg.replace(reg, '')
  physiExamImg = physiExamImg.replace(reg, '')
  labAndPacsImg = labAndPacsImg.replace(reg, '')
  conditTipsImg = conditTipsImg.replace(reg, '')
  treatImg = treatImg.replace(reg, '')
}

var msg = {
    age: getUrlArgObject('age'),
    sex: getUrlArgObject('sex') == '男'?1:(getUrlArgObject('sex') == '女'?2:(getUrlArgObject('sex') == '通用'?3:getUrlArgObject('sex'))),
    symptom: getUrlArgObject('symptomJson'),
    vital: getUrlArgObject('vitalJson'),
    lis: getUrlArgObject('lisJson')? JSON.parse(getUrlArgObject('lisJson')) : [],
    pacs: getUrlArgObject('pacsJson'),
    diag: getUrlArgObject('diagJson'),
    diseaseName: getUrlArgObject('diagJson'),
    other: getUrlArgObject('otherJson') + getUrlArgObject('pastJson'),
    hosCode:getUrlArgObject('hospitalCode') || '',
    plan:getUrlArgObject('plan') || '0',
}//推送相关信息
//   http://localhost:8082/indexVert.html?age=28&diseaseId=280&lisJson=&diagJson=%E6%80%A5%E6%80%A7%E8%83%B0%E8%85%BA%E7%82%8E&pastJson=%E6%97%A0%E5%BF%83%E8%84%8F%E7%97%85&otherJson=%E6%97%A0%E9%AB%98%E8%A1%80%E5%8E%8B&pacsJson=%E8%85%B9%E9%83%A8B%E8%B6%85:%E6%97%A0%E5%BC%82%E5%B8%B8,%20%E6%8A%A5%E5%91%8A%E6%97%A5%E6%9C%9F:2019-05-07&sex=%E7%94%B7&symptomJson=%E6%81%B6%E5%BF%83%E5%91%95%E5%90%90%E8%85%B0%E7%97%9B&vitalJson=%E8%A1%80%E5%8E%8B%E5%B7%A6%E4%B8%8A%E8%82%A213/12mmHg
window.msg = msg
window.pushMessage = {}
function getConf() {
  return post(config.getSysSetInfoDatas,{hospitalCode: msg.hosCode,plan:msg.plan}).then((res)=>{
      const data = res.data
      if(data.code == 0){
          let confArr = transConf(data.data)
          window.confArr = confArr;
      }
  })
}

function getPushInfo() {
  return post(config.pushInner,Object.assign({featureType: '1,4,5,6,7,22'},msg)).then((res)=>{
    var data = res.data
    window.pushInfo = data
    // if(data.code == 0){
    //     var result = data.data;
    //     renderRecommendConditTips(conditTipsImg, 'conditTips','病情提示', [])
    //     // if(result.medicalIndications && result.medicalIndications.length>0){//病情提示
    //     //   window.pushMessage = result.medicalIndications;//计算的需要的相关数据
    //     //   renderRecommendConditTips(conditTipsImg, 'conditTips','病情提示', result.medicalIndications)
    //     // }
    //     if(result.dis){
    //         // const diagPossible = result.dis['可能诊断'] || []//可能
    //         // const diagDoubt = result.dis['疑似诊断'] || [] // 疑似
    //         // const diagDeter = result.dis['确诊'] || []//确诊
    //         // const diagWaring = result.dis['警惕'] || [] // 推荐警惕诊断
    //         // const symptomRecommend = result.symptom || []  //推荐问诊症状
    //         // const physiExamRecommend  = result.vital || [] //推荐体格检查
    //         // const diagRecommend = diagPossible.concat(diagDoubt, diagDeter) //推荐诊断
    //         // const labRecommend = result.lab || []
    //         // const pacsRecommend = result.pacs || []
    //         // const labAndPacsRecommend = [
    //         //     {
    //         //         title: '化验',
    //         //         className: 'labRecommend',
    //         //         data:  labRecommend
    //         //     },
    //         //     {
    //         //         title: '辅检',
    //         //         className: 'pacsRecommend',
    //         //         data:  pacsRecommend
    //         //   }
    //         // ]

    //         const diagPossible =[]//可能
    //         const diagDoubt =  [] // 疑似
    //         const diagDeter =  []//确诊
    //         const diagWaring =  [] // 推荐警惕诊断
    //         const symptomRecommend =  []  //推荐问诊症状
    //         const physiExamRecommend  =  [] //推荐体格检查
    //         const diagRecommend = diagPossible.concat(diagDoubt, diagDeter) //推荐诊断
    //         const labRecommend =  []
    //         const pacsRecommend =  []
    //         const labAndPacsRecommend = [
    //             {
    //                 title: '化验',
    //                 className: 'labRecommend',
    //                 data:  labRecommend
    //             },
    //             {
    //                 title: '辅检',
    //                 className: 'pacsRecommend',
    //                 data:  pacsRecommend
    //           }
    //         ]

    //         renderRecommendInfo(warningImg, 'warning', '警惕诊断', diagWaring, true,7,2)
    //         renderRecommendInfo(diagImg, 'diagRecommend', '推荐诊断', diagRecommend, true,7,2)
    //         renderRecommendInfo(symptomImg, 'symptomRecommend', '问诊症状', symptomRecommend, false)
    //         renderRecommendInfo(physiExamImg, 'physiExamRecommend', '体格检查', physiExamRecommend, false)
    //         renderMultRecommendInfo(labAndPacsImg,'labAndPacsRecommend', '检验检查', labAndPacsRecommend, false)
    //     }
      
    
      
    // }
  })
}

function getTreatment() {
  post(config.pushTreatment,Object.assign({featureType: '8'},msg)).then((res)=>{
    var data = res.data
    window.treatInfo = data
    // if(data.code == 0){
    //   var result = data.data;
    //   renderTreat(treatImg, 'treatRecommend','治疗方案',result)
    //   // var num = 0;
    //   // if(result.commonTreatment && result.commonTreatment.content){
    //   //   ++num
    //   //   ybzlFun(result.commonTreatment.content)//一般治疗
    //   // }
    //   // if(result.treatment && result.treatment.length>0){
    //   //   ++num
    //   //   cyywFun(result.treatment)//常用药物
    //   // }
    //   // if(num == 0){
    //   //   $(".conditionHintZhiliaoNull").css("display","block")
    //   // }
    // } else {
    //   renderTreat(treatImg,'treatRecommend','治疗方案',{})
    // }
  })
}
// getConf();
// pushInfo();
// getTreatment();
Promise.all([getConf(),getPushInfo(),getTreatment()]).then(([res1, res2, res3]) =>{
  if(pushInfo.code == 0) {
    pushResult = pushInfo.data;
  } else {
    pushResult = {};
  }
  if(treatInfo.code == 0) {
    treatResult = treatInfo.data
  } else {
    treatResult = {}
  }
  const diagPossible =  pushResult.dis&&pushResult.dis['可能诊断'] || []//可能
  const diagDoubt = pushResult.dis&&pushResult.dis['疑似诊断'] || [] // 疑似
  const diagDeter = pushResult.dis&&pushResult.dis['确诊'] || []//确诊
  const diagWaring = pushResult.dis&&pushResult.dis['警惕'] || [] // 推荐警惕诊断
  const symptomRecommend = pushResult.symptom || []  //推荐问诊症状
  const physiExamRecommend  = pushResult.vital || [] //推荐体格检查
  const diagRecommend = diagPossible.concat(diagDoubt, diagDeter) //推荐诊断
  const labRecommend = pushResult.lab || []
  const pacsRecommend = pushResult.pacs || []
  const medicalIndications = pushResult.medicalIndications || []
  const labAndPacsRecommend = [
    {
        title: '化验',
        className: 'labRecommend',
        data:  labRecommend
    },
    {
        title: '辅检',
        className: 'pacsRecommend',
        data:  pacsRecommend
    }
  ]
  window.pushMessage = medicalIndications;//计算的需要的相关数据
  for(let i = 0; i < confArr.length; i++) {

    switch(confArr[i].code) {
      case "inquiry_show":  //问诊症状
        renderRecommendInfo(symptomImg, 'symptomRecommend', '问诊症状', symptomRecommend, false)
        break; 
      case "health_show": //体格检查
        renderRecommendInfo(physiExamImg, 'physiExamRecommend', '体格检查', physiExamRecommend, false)
        break;
      case "illness_show": //病情提示
        renderRecommendConditTips(conditTipsImg, 'conditTips','病情提示', medicalIndications || [])
        break;
      case "vigilant_show": //警惕诊断
        renderRecommendInfo(warningImg, 'warning', '警惕诊断', diagWaring, true,7,2)
        break;
      case "lispacs_show": //检验检查
        renderMultRecommendInfo(labAndPacsImg, 'labAndPacsRecommend', '检验检查', labAndPacsRecommend, false)
        break;
      case "cure_show": //治疗方案
        renderTreat(treatImg, 'treatRecommend','治疗方案',treatResult)
        break;
      case "diagnose_show": //推荐诊断
        renderRecommendInfo(diagImg, 'diagRecommend', '推荐诊断', diagRecommend, true,7,2)
        break;
      default:
         return
    } 
  }
  const pushHei = $('.push').height()
  if(pushHei == 0) {
    $('.treat').css({"width":"90%"})
  }
  // renderRecommendInfo(warningImg, 'warning', '警惕诊断', diagWaring, true,7,2)
  // renderRecommendInfo(diagImg, 'diagRecommend', '推荐诊断', diagRecommend, true,7,2)
  // renderRecommendInfo(symptomImg, 'symptomRecommend', '问诊症状', symptomRecommend, false)
  // renderRecommendInfo(physiExamImg, 'physiExamRecommend', '体格检查', physiExamRecommend, false)
  // renderMultRecommendInfo('labAndPacsRecommend', '检验检查', labAndPacsRecommend, false)
  // renderTreat(treatImg, 'treatRecommend','治疗方案',treatResult) 
  
  // renderRecommendConditTips(conditTipsImg, 'conditTips','病情提示', medicalIndications || [])
  
})


$(".disclaimerInfo").on("click", function(){
  openNewWin("disclaimer.html")
})